<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_ideal.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants for used in all Multipay Projects - NOTICE: iDEAL is not Multipay
require_once 'sofort_general.php';

define('SOFORT_IDEAL_TEXT_TITLE', 'iDEAL'); //needed by core, public
define('SOFORT_IDEAL_CLASSIC_TEXT_TITLE', 'iDEAL<br /><img src="https://images.sofort.com/en/ideal/logo_90x30.png" alt="iDEAL logo"/>'); //admin
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TEXT', '(recommended payment method)');

//all shopsystem-params
define('SOFORT_IDEAL_CLASSIC_STATUS_TITLE', 'iDEAL - Activate sofort.de module');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TITLE', 'recommended payment method');
define('SOFORT_IDEAL_CLASSIC_AUTH_TITLE', 'test configuration key');
define('SOFORT_IDEAL_CLASSIC_AUTH_DESC', '<noscript>Please activate Javascript</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');  //max 255 signs
define('SOFORT_IDEAL_CLASSIC_ZONE_TITLE' , SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_IDEAL_ALLOWED_TITLE' , 'Payment zone');
define('SOFORT_IDEAL_ALLOWED_DESC' , 'Please enter the zones <b>separately</b>, which should be allowed for this module. (eg allow AT, DE (if empty, all zones))');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_TITLE' , 'Temporary order status');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_TITLE', 'Confirmed order status');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_TITLE', 'Automatic cancellation with chargeback');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_TITLE', 'Partial refund');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_TITLE', 'Full refund');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_TITLE', 'Order state at aborted payment');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_TITLE', 'Order status at full cancellation');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_TITLE', 'sort sequence');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_TITLE', 'Assigned configuration key by SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_TITLE', 'project password');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_TITLE', 'notification password');
define('SOFORT_IDEAL_CLASSIC_REASON_1_TITLE', 'Reason 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_TITLE', 'Reason 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_TITLE', 'logo+text');
define('SOFORT_IDEAL_CLASSIC_STATUS_DESC', 'Activates/deactivates the complete module');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_DESC', 'Make iDEAL the recommended payment method');
define('SOFORT_IDEAL_CLASSIC_ZONE_DESC', 'When a zone is selected, the payment method applies only to this zone.');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_DESC', 'Order state for non-completed transactions. The order has been created but the transaction has not yet been confirmed by SOFORT AG.');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_DESC', 'Confirmed order status<br />Order status after successfully completing a transaction.');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_DESC', 'Order status upon complete cancellation.');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_DESC', 'Order status for orders that were cancelled during the checkout process.');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_DESC', 'Status of orders for which the payment was received after the timeout specified in the SOFORT project and which were therefore automatically cancelled. The chargeback to the buyer account will also be transferred automatically.');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_DESC', 'Status of orders where a partial amount was refunded to the buyer.');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_DESC', 'Status of orders where the full amount was refunded to the buyer.');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_DESC', 'Order of display. Smallest number will show first.');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_DESC', 'Assigned configuration key by SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_DESC', 'Project password assigned by SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_DESC', 'Notification password assigned by SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_REASON_1_DESC', 'Reason 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_DESC', 'Reason 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_DESC', 'Banner or text in the selection of payment methods');
define('SOFORT_IDEAL_CLASSIC_CHECKOUT_TEXT', 'iDEAL.nl - online payments for e-commerce in the Netherlands. For payment by iDEAL you need an account with one of the banks listed. Receive the transfer directly to your bank. When available services / goods can be delivered or shipped IMMEDIATELY!');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'iDEAL.nl - online payments for e-commerce in the Netherlands. For payment by iDEAL you need an account with one of the banks listed. Receive the transfer directly to your bank. When available services / goods can be delivered or shipped IMMEDIATELY!');
define('SOFORT_IDEAL_CLASSIC_TMP_COMMENT', 'Payment method iDEAL chosen. Transaction not finished.');

define('SOFORT_IDEAL_PEN_NOT_CRE_YET_BUYER', 'Order successfully submitted. {{time}}');
define('SOFORT_IDEAL_REC_CRE_BUYER', '{{paymentMethodStr}} - Money received. {{time}}');
define('SOFORT_IDEAL_LOS_NOT_CRE_YET_BUYER', 'The payment was cancelled.');
define('SOFORT_IDEAL_LAT_SUC_AUT_BUYER', 'Transaction has been automatically cancelled. Refund on buyer\'s account has been ordered.');
define('SOFORT_IDEAL_REF_COM_BUYER', 'A potion of the amount will be refunded.');
define('SOFORT_IDEAL_REF_REF_BUYER', 'Invoice amount will be refunded {{time}}');

define('SOFORT_IDEAL_CLASSIC_ORDER_CANCELED', 'The order has been cancelled.'); //Die Bestellung wurde abgebrochen.

//////////////////////////////////////////////////////////////////////////////////////////////

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_TEXT', 'iDEAL.nl - online payments for e-commerce in the Netherlands. For payment by iDEAL you need an account with one of the banks listed. They will do the transfer directly to your bank. Services / goods are delivered or shipped when available IMMEDIATELY!');

define('SOFORT_IDEAL_CLASSIC_TEXT_ERROR_HEADING', 'Following error occurred during the process:');
define('SOFORT_MULTIPAY_XML_FAULT_10000', 'Please select a bank.');
define('SOFORT_IDEAL_CLASSIC_ERROR_ALL_CODES', 'Transmission error, please select a different pament method or contact the shop owner.');
define('SOFORT_IDEAL_CLASSIC_ERROR_DEFAULT', 'Error while processing the order.');

define('SOFORT_IDEAL_CLASSIC_IDEALSELECTED_PENDING' , 'Payment method iDEAL chosen. Transaction not finished.');

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION', '<b>iDEAL</b><br />Once the customer has chosen this payment method and this bank, he will be redirected to the selected bank by SOFORT AG. Then he will perform this payment and will be forwarded to the shop system. In case of successful payment confirmation, occurs a callback to your shop system by SOFORT AG, that will change accordingly the payment status of the order.<br />Provided by SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_SELECTBOX_TITLE', 'Please select your bank');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '
	<table border="0" cellspacing="0" cellpadding="0">
		<tr style="vertical-align:top;">
			<td>
				<a onclick="javascript:window.open(\'http://www.ideal.nl\',\'{}\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
					{{image}}
				</a>
			</td>
			<td style="padding-left:15px;">{{text}}</td>
		</tr>
		<tr>
			<td>Bank Selection:</td>
			<td style="padding-left:15px;">{{selectbox}}</td>
		</tr>
	</table>');

define('SOFORT_IDEAL_CLASSIC_CHECKOUT_CONFIRMATION', '
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td class="main">
      	<p>After confirming the order you will be redirected to the payment system of your chosen bank, where they can carry out the online transfer.</p><p>You will need your eBanking access data, ie Bank details, account number, PIN and TAN. More information can be found here: <a href="http://www.ideal.nl" target="_blank">iDEAL.nl</a></p>
      </td>
    </tr>
  </table>');

define('SOFORT_IDEAL_CLASSIC_TEXT_EMAIL_FOOTER', ' ');